Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io
Class ParsingFeedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.syndication.io.FeedException
                  com.sun.syndication.io.ParsingFeedException

All Implemented Interfaces:
  Serializable

    public class ParsingFeedException

extends FeedException

Exception thrown by WireFeedInput instance if it can not parse a feed.

Author:
  Elaine Chien
See Also:
  Serialized Form

Constructor Summary
`ParsingFeedException(String msg)` Creates a FeedException with a message.
`ParsingFeedException(String msg, Throwable rootCause)` Creates a FeedException with a message and a root cause exception.

Method Summary
`int` | `getColumnNumber()` Returns the column number of the end of the text where the parse error occurred.
`int` | `getLineNumber()` Returns the line number of the end of the text where the parse error occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsingFeedException

    public ParsingFeedException(String msg)

  Creates a FeedException with a message.

  Parameters:
    `msg` - exception message.

### ParsingFeedException

    public ParsingFeedException(String msg,
                                Throwable rootCause)

  Creates a FeedException with a message and a root cause exception.

  Parameters:
    `msg` - exception message.
    `rootCause` - root cause exception.

Method Detail

### getLineNumber

    public int getLineNumber()

  Returns the line number of the end of the text where the parse error occurred.

  The first line in the document is line 1.

  Returns:
    an integer representing the line number, or -1 if the information is not available.

### getColumnNumber

    public int getColumnNumber()

  Returns the column number of the end of the text where the parse error occurred.

  The first column in a line is position 1.

  Returns:
    an integer representing the column number, or -1 if the information is not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.